<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcDefaultCamera Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcDefaultCamera Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcDefaultCamera" --><!-- doxytag: inherits="iPcCamera" -->
<p>This is a property class that wraps a standard first-person and third-person camera and related functionality.  
 <a href="structiPcDefaultCamera.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="defcam_8h_source.html">propclass/defcam.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcDefaultCamera:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcDefaultCamera.png" usemap="#iPcDefaultCamera_map" alt=""/>
  <map id="iPcDefaultCamera_map" name="iPcDefaultCamera_map">
<area href="structiPcCamera.html" title="The representation of a camera." alt="iPcCamera" shape="rect" coords="0,56,114,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,114,24"/>
</map>
 </div></div>

<p><a href="structiPcDefaultCamera-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a> </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Camera modes.  <a href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#ae1d609377426bec83deabeb55054c557">CenterCamera</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Center camera in any mode except first person mode.  <a href="#ae1d609377426bec83deabeb55054c557"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a21c345e68cd9a29dec9a0e680419d685">GetDistance</a> (int mode=-1)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the distance between the character's eyes and the camera.  <a href="#a21c345e68cd9a29dec9a0e680419d685"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a4a708428afeb0c396f9057cea909e2f5">GetDistanceVelocity</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the distance (zoom) velocity of the camera.  <a href="#a4a708428afeb0c396f9057cea909e2f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a45976932c411a0e3d6c5a6c2564777ed">GetMode</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get camera mode.  <a href="#a45976932c411a0e3d6c5a6c2564777ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a85a6e8df8def146e805dc450c665ef7b">GetModeName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get camera mode name.  <a href="#a85a6e8df8def146e805dc450c665ef7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#ad8e6fc27783dd641f5d9b0dfb3cc65f5">GetNextMode</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get next possible camera mode.  <a href="#ad8e6fc27783dd641f5d9b0dfb3cc65f5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a02730a3cbc9e5d99186d2fc76e3aac85">GetPitch</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current pitch.  <a href="#a02730a3cbc9e5d99186d2fc76e3aac85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#afe0dbbe377092218bc0dea78ea7264f8">GetPitchVelocity</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get current pitch velocity.  <a href="#afe0dbbe377092218bc0dea78ea7264f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#aa5b16c297076a40742fbf624c8d52b4a">GetYaw</a> (int mode=-1) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the yaw (left/right) of the camera.  <a href="#aa5b16c297076a40742fbf624c8d52b4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#aa2d31e13b58c79196f7df8e3a30b9c00">GetYawVelocity</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the yaw (up/down) velocity of the camera.  <a href="#aa2d31e13b58c79196f7df8e3a30b9c00"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#af510fc23b21feb673317036941742b8f">MovePitch</a> (float deltaPitch, int mode=-1)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the pitch (up/down) of the camera.  <a href="#af510fc23b21feb673317036941742b8f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#ab08a3f6b62af17063d3c28e58d351903">MoveYaw</a> (float deltaYaw, int mode=-1)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the yaw (left/right) of the camera.  <a href="#ab08a3f6b62af17063d3c28e58d351903"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a6a501724281f185506af71717d1218a4">PointCamera</a> (const char *start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Point the camera to some given location.  <a href="#a6a501724281f185506af71717d1218a4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#aa021f6392b9313df925622e8beb0a192">SetDistance</a> (float distance, int mode=-1)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the distance between the character's eyes and the camera.  <a href="#aa021f6392b9313df925622e8beb0a192"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#afa8a9399df7956da558e5f2b2d73dfbf">SetDistanceVelocity</a> (float distanceVel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the distance (zoom) velocity of the camera.  <a href="#afa8a9399df7956da558e5f2b2d73dfbf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a45f0983e9866a4a1f743eaa00b811d7d">SetFirstPersonOffset</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;offset)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set offset for first person camera (offset for camera relative to player model).  <a href="#a45f0983e9866a4a1f743eaa00b811d7d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#ab5a645969079916bbef46ea364372352">SetFollowEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the destination entity manually.  <a href="#ab5a645969079916bbef46ea364372352"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a523df60e1f635a48e6a594e4659f31a7">SetMinMaxCameraDistance</a> (float minDistance, float maxDistance)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the minimum and maximum distance between camera and player.  <a href="#a523df60e1f635a48e6a594e4659f31a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#aa18c3d0433532eb9cd64a64ffdf2077a">SetMode</a> (<a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a> m, bool use_cd=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set camera mode.  <a href="#aa18c3d0433532eb9cd64a64ffdf2077a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#ae7a8d0c43513fc75e7fc6362b9efc32c">SetModeName</a> (const char *m, bool use_cd=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set camera mode by name.  <a href="#ae7a8d0c43513fc75e7fc6362b9efc32c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a8b65bdbf416ca69a76be0e1bc76983aa">SetPitch</a> (float pitch)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Control pitch.  <a href="#a8b65bdbf416ca69a76be0e1bc76983aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a088588c7bcadd6e6ffd2ba681b7fc26e">SetPitchVelocity</a> (float pitchVel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Control velocity of pitch.  <a href="#a088588c7bcadd6e6ffd2ba681b7fc26e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a1f5e917c9f0f68a20b19795a92572daf">SetSpringParameters</a> (float springCoef, float intertialDampeningCoef, float springLength)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set spring parameters for the current camera mode.  <a href="#a1f5e917c9f0f68a20b19795a92572daf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#ad7ef8c2f8d1306e8f5b5c487a38fabaf">SetSwingCoef</a> (float swingCoef)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the swing coefficient for the camera.  <a href="#ad7ef8c2f8d1306e8f5b5c487a38fabaf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#aa0f1a274161df1bf511222afae856636">SetThirdPersonOffset</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;offset)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set offset for third person camera (offset for camera relative to player model).  <a href="#aa0f1a274161df1bf511222afae856636"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#aa8a85ff9ca1bfcb62e6b1396dc580717">SetTurnSpeed</a> (float turnSpeed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the turn speed for the camera.  <a href="#aa8a85ff9ca1bfcb62e6b1396dc580717"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a7a5ae08ed28bb260240525b83e88b056">SetYaw</a> (float yaw, int mode=-1)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the yaw (left/right) of the camera.  <a href="#a7a5ae08ed28bb260240525b83e88b056"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDefaultCamera.html#a8e57412555ea6596a155739a0e652b10">SetYawVelocity</a> (float yawVel)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the yaw (up/down) velocity of the camera.  <a href="#a8e57412555ea6596a155739a0e652b10"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class that wraps a standard first-person and third-person camera and related functionality. </p>
<p>It depends on either <a class="el" href="structiPcMesh.html" title="This is a property class holding the representation of a mesh.">iPcMesh</a> or <a class="el" href="structiPcLinearMovement.html" title="This property class controls movement of an entity in a realistic manner.">iPcLinearMovement</a>.</p>
<p>This property class supports the following actions (add prefix 'cel.camera.default.action.' if you want to access this action through a message):</p>
<ul>
<li>SetCamera: parameters 'modename' (string), 'spring' (vector3), 'turnspeed' (float), 'swingcoef' (float), 'fpoffset' (vector3), 'tpoffset' (vector3), 'pitch' (float), 'pitchvelocity' (float), 'yaw' (float), 'yawvelocity' (float) and 'distance' (vector3=minimal, default, maximal).</li>
<li>SetZoneManager: parameters 'entity' (string), 'region' (string) and 'start' (string).</li>
<li>SetFollowEntity: parameters 'entity' (string).</li>
<li>CenterCamera: no parameters.</li>
<li>PointCamera: parameters 'start' (map start name).</li>
<li>SetRectangle: parameters 'x' (long), 'y' (long), 'w' (long), 'h' (long).</li>
<li>SetPerspectiveCenter: parameters 'x' (float), 'y' (float).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>pitchvelocity (float, read/write): pitch velocity.</li>
<li>yawvelocity (float, read/write): yaw velocity.</li>
<li>distancevelocity (float, read/write): distance (zoom) velocity.</li>
<li>pitch (float, read/write): pitch.</li>
<li>yaw (float, read/write): yaw.</li>
<li>distance (float, read/write): distance (zoom). </li>
</ul>

<p>Definition at line <a class="el" href="defcam_8h_source.html#l00055">55</a> of file <a class="el" href="defcam_8h_source.html">defcam.h</a>.</p>
</div><hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a53a7f09fa80118f6029c2f65edda315e"></a><!-- doxytag: member="iPcDefaultCamera::CameraMode" ref="a53a7f09fa80118f6029c2f65edda315e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">iPcDefaultCamera::CameraMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Camera modes. </p>

<p>Definition at line <a class="el" href="defcam_8h_source.html#l00062">62</a> of file <a class="el" href="defcam_8h_source.html">defcam.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae1d609377426bec83deabeb55054c557"></a><!-- doxytag: member="iPcDefaultCamera::CenterCamera" ref="ae1d609377426bec83deabeb55054c557" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#ae1d609377426bec83deabeb55054c557">iPcDefaultCamera::CenterCamera</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Center camera in any mode except first person mode. </p>
<p>This will basically force the camera behind the actor. </p>

</div>
</div>
<a class="anchor" id="a21c345e68cd9a29dec9a0e680419d685"></a><!-- doxytag: member="iPcDefaultCamera::GetDistance" ref="a21c345e68cd9a29dec9a0e680419d685" args="(int mode=&#45;1)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDefaultCamera.html#a21c345e68cd9a29dec9a0e680419d685">iPcDefaultCamera::GetDistance</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em> = <code>-1</code></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the distance between the character's eyes and the camera. </p>
<p>The camera algorithms are responsible for calculating the actual position of the camera. </p>

</div>
</div>
<a class="anchor" id="a4a708428afeb0c396f9057cea909e2f5"></a><!-- doxytag: member="iPcDefaultCamera::GetDistanceVelocity" ref="a4a708428afeb0c396f9057cea909e2f5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDefaultCamera.html#a4a708428afeb0c396f9057cea909e2f5">iPcDefaultCamera::GetDistanceVelocity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the distance (zoom) velocity of the camera. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the distance (zoom) velocity of the camera </dd></dl>

</div>
</div>
<a class="anchor" id="a45976932c411a0e3d6c5a6c2564777ed"></a><!-- doxytag: member="iPcDefaultCamera::GetMode" ref="a45976932c411a0e3d6c5a6c2564777ed" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a> <a class="el" href="structiPcDefaultCamera.html#a45976932c411a0e3d6c5a6c2564777ed">iPcDefaultCamera::GetMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get camera mode. </p>

</div>
</div>
<a class="anchor" id="a85a6e8df8def146e805dc450c665ef7b"></a><!-- doxytag: member="iPcDefaultCamera::GetModeName" ref="a85a6e8df8def146e805dc450c665ef7b" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcDefaultCamera.html#a85a6e8df8def146e805dc450c665ef7b">iPcDefaultCamera::GetModeName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get camera mode name. </p>

</div>
</div>
<a class="anchor" id="ad8e6fc27783dd641f5d9b0dfb3cc65f5"></a><!-- doxytag: member="iPcDefaultCamera::GetNextMode" ref="ad8e6fc27783dd641f5d9b0dfb3cc65f5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a> <a class="el" href="structiPcDefaultCamera.html#ad8e6fc27783dd641f5d9b0dfb3cc65f5">iPcDefaultCamera::GetNextMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get next possible camera mode. </p>
<p>This is useful for looping over all camera modes with some key in a game. </p>

</div>
</div>
<a class="anchor" id="a02730a3cbc9e5d99186d2fc76e3aac85"></a><!-- doxytag: member="iPcDefaultCamera::GetPitch" ref="a02730a3cbc9e5d99186d2fc76e3aac85" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDefaultCamera.html#a02730a3cbc9e5d99186d2fc76e3aac85">iPcDefaultCamera::GetPitch</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current pitch. </p>

</div>
</div>
<a class="anchor" id="afe0dbbe377092218bc0dea78ea7264f8"></a><!-- doxytag: member="iPcDefaultCamera::GetPitchVelocity" ref="afe0dbbe377092218bc0dea78ea7264f8" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDefaultCamera.html#afe0dbbe377092218bc0dea78ea7264f8">iPcDefaultCamera::GetPitchVelocity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get current pitch velocity. </p>

</div>
</div>
<a class="anchor" id="aa5b16c297076a40742fbf624c8d52b4a"></a><!-- doxytag: member="iPcDefaultCamera::GetYaw" ref="aa5b16c297076a40742fbf624c8d52b4a" args="(int mode=&#45;1) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDefaultCamera.html#aa5b16c297076a40742fbf624c8d52b4a">iPcDefaultCamera::GetYaw</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em> = <code>-1</code></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the yaw (left/right) of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>Optional - the camera mode to get it from (leave blank for current) </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>the yaw (left/right) of the camera </dd></dl>

</div>
</div>
<a class="anchor" id="aa2d31e13b58c79196f7df8e3a30b9c00"></a><!-- doxytag: member="iPcDefaultCamera::GetYawVelocity" ref="aa2d31e13b58c79196f7df8e3a30b9c00" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDefaultCamera.html#aa2d31e13b58c79196f7df8e3a30b9c00">iPcDefaultCamera::GetYawVelocity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the yaw (up/down) velocity of the camera. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>the yaw (up/down) of the camera </dd></dl>

</div>
</div>
<a class="anchor" id="af510fc23b21feb673317036941742b8f"></a><!-- doxytag: member="iPcDefaultCamera::MovePitch" ref="af510fc23b21feb673317036941742b8f" args="(float deltaPitch, int mode=&#45;1)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#af510fc23b21feb673317036941742b8f">iPcDefaultCamera::MovePitch</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>deltaPitch</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Moves the pitch (up/down) of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">deltaPitch</td><td>the amount to move from the current pitch </td></tr>
    <tr><td class="paramname">mode</td><td>Optional - the camera mode to apply it to (leave blank for current) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab08a3f6b62af17063d3c28e58d351903"></a><!-- doxytag: member="iPcDefaultCamera::MoveYaw" ref="ab08a3f6b62af17063d3c28e58d351903" args="(float deltaYaw, int mode=&#45;1)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#ab08a3f6b62af17063d3c28e58d351903">iPcDefaultCamera::MoveYaw</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>deltaYaw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Moves the yaw (left/right) of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">deltaYaw</td><td>the amount to move from the current yaw </td></tr>
    <tr><td class="paramname">mode</td><td>Optional - the camera mode to apply it to (leave blank for current) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6a501724281f185506af71717d1218a4"></a><!-- doxytag: member="iPcDefaultCamera::PointCamera" ref="a6a501724281f185506af71717d1218a4" args="(const char *start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcDefaultCamera.html#a6a501724281f185506af71717d1218a4">iPcDefaultCamera::PointCamera</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Point the camera to some given location. </p>
<p>Returns false if the location could not be found. </p>

</div>
</div>
<a class="anchor" id="aa021f6392b9313df925622e8beb0a192"></a><!-- doxytag: member="iPcDefaultCamera::SetDistance" ref="aa021f6392b9313df925622e8beb0a192" args="(float distance, int mode=&#45;1)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#aa021f6392b9313df925622e8beb0a192">iPcDefaultCamera::SetDistance</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>distance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the distance between the character's eyes and the camera. </p>
<p>The camera algorithms are responsible for calculating the actual position of the camera. </p>

</div>
</div>
<a class="anchor" id="afa8a9399df7956da558e5f2b2d73dfbf"></a><!-- doxytag: member="iPcDefaultCamera::SetDistanceVelocity" ref="afa8a9399df7956da558e5f2b2d73dfbf" args="(float distanceVel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#afa8a9399df7956da558e5f2b2d73dfbf">iPcDefaultCamera::SetDistanceVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>distanceVel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the distance (zoom) velocity of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">distanceVel</td><td>the velocity of the distance </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a45f0983e9866a4a1f743eaa00b811d7d"></a><!-- doxytag: member="iPcDefaultCamera::SetFirstPersonOffset" ref="a45f0983e9866a4a1f743eaa00b811d7d" args="(const csVector3 &amp;offset)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a45f0983e9866a4a1f743eaa00b811d7d">iPcDefaultCamera::SetFirstPersonOffset</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set offset for first person camera (offset for camera relative to player model). </p>

</div>
</div>
<a class="anchor" id="ab5a645969079916bbef46ea364372352"></a><!-- doxytag: member="iPcDefaultCamera::SetFollowEntity" ref="ab5a645969079916bbef46ea364372352" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#ab5a645969079916bbef46ea364372352">iPcDefaultCamera::SetFollowEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the destination entity manually. </p>
<p>If this is not set then the camera will attempt to fetch mesh, linmove, mechobj from current entity. If 'entity' is 0 it will go back to use the ones from the current entity. </p>

</div>
</div>
<a class="anchor" id="a523df60e1f635a48e6a594e4659f31a7"></a><!-- doxytag: member="iPcDefaultCamera::SetMinMaxCameraDistance" ref="a523df60e1f635a48e6a594e4659f31a7" args="(float minDistance, float maxDistance)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a523df60e1f635a48e6a594e4659f31a7">iPcDefaultCamera::SetMinMaxCameraDistance</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>minDistance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maxDistance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the minimum and maximum distance between camera and player. </p>
<p>Only used by m64_thirdperson, lara_thirdperson, and freelook. </p>

</div>
</div>
<a class="anchor" id="aa18c3d0433532eb9cd64a64ffdf2077a"></a><!-- doxytag: member="iPcDefaultCamera::SetMode" ref="aa18c3d0433532eb9cd64a64ffdf2077a" args="(CameraMode m, bool use_cd=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcDefaultCamera.html#aa18c3d0433532eb9cd64a64ffdf2077a">iPcDefaultCamera::SetMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiPcDefaultCamera.html#a53a7f09fa80118f6029c2f65edda315e">CameraMode</a>&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>use_cd</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set camera mode. </p>

</div>
</div>
<a class="anchor" id="ae7a8d0c43513fc75e7fc6362b9efc32c"></a><!-- doxytag: member="iPcDefaultCamera::SetModeName" ref="ae7a8d0c43513fc75e7fc6362b9efc32c" args="(const char *m, bool use_cd=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcDefaultCamera.html#ae7a8d0c43513fc75e7fc6362b9efc32c">iPcDefaultCamera::SetModeName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>use_cd</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set camera mode by name. </p>

</div>
</div>
<a class="anchor" id="a8b65bdbf416ca69a76be0e1bc76983aa"></a><!-- doxytag: member="iPcDefaultCamera::SetPitch" ref="a8b65bdbf416ca69a76be0e1bc76983aa" args="(float pitch)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a8b65bdbf416ca69a76be0e1bc76983aa">iPcDefaultCamera::SetPitch</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pitch</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Control pitch. </p>

</div>
</div>
<a class="anchor" id="a088588c7bcadd6e6ffd2ba681b7fc26e"></a><!-- doxytag: member="iPcDefaultCamera::SetPitchVelocity" ref="a088588c7bcadd6e6ffd2ba681b7fc26e" args="(float pitchVel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a088588c7bcadd6e6ffd2ba681b7fc26e">iPcDefaultCamera::SetPitchVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>pitchVel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Control velocity of pitch. </p>
<p>This can be useful for looking up or down. </p>

</div>
</div>
<a class="anchor" id="a1f5e917c9f0f68a20b19795a92572daf"></a><!-- doxytag: member="iPcDefaultCamera::SetSpringParameters" ref="a1f5e917c9f0f68a20b19795a92572daf" args="(float springCoef, float intertialDampeningCoef, float springLength)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a1f5e917c9f0f68a20b19795a92572daf">iPcDefaultCamera::SetSpringParameters</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>springCoef</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>intertialDampeningCoef</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>springLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set spring parameters for the current camera mode. </p>

</div>
</div>
<a class="anchor" id="ad7ef8c2f8d1306e8f5b5c487a38fabaf"></a><!-- doxytag: member="iPcDefaultCamera::SetSwingCoef" ref="ad7ef8c2f8d1306e8f5b5c487a38fabaf" args="(float swingCoef)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#ad7ef8c2f8d1306e8f5b5c487a38fabaf">iPcDefaultCamera::SetSwingCoef</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>swingCoef</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the swing coefficient for the camera. </p>
<p>Only used by lara_thirdperson. </p>

</div>
</div>
<a class="anchor" id="aa0f1a274161df1bf511222afae856636"></a><!-- doxytag: member="iPcDefaultCamera::SetThirdPersonOffset" ref="aa0f1a274161df1bf511222afae856636" args="(const csVector3 &amp;offset)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#aa0f1a274161df1bf511222afae856636">iPcDefaultCamera::SetThirdPersonOffset</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set offset for third person camera (offset for camera relative to player model). </p>

</div>
</div>
<a class="anchor" id="aa8a85ff9ca1bfcb62e6b1396dc580717"></a><!-- doxytag: member="iPcDefaultCamera::SetTurnSpeed" ref="aa8a85ff9ca1bfcb62e6b1396dc580717" args="(float turnSpeed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#aa8a85ff9ca1bfcb62e6b1396dc580717">iPcDefaultCamera::SetTurnSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>turnSpeed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the turn speed for the camera. </p>
<p>Only used by lara_thirdperson and m64_thirdperson. </p>

</div>
</div>
<a class="anchor" id="a7a5ae08ed28bb260240525b83e88b056"></a><!-- doxytag: member="iPcDefaultCamera::SetYaw" ref="a7a5ae08ed28bb260240525b83e88b056" args="(float yaw, int mode=&#45;1)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a7a5ae08ed28bb260240525b83e88b056">iPcDefaultCamera::SetYaw</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yaw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em> = <code>-1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the yaw (left/right) of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">yaw</td><td>the new yaw of the camera </td></tr>
    <tr><td class="paramname">mode</td><td>Optional - the camera mode to apply it to (leave blank for current) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8e57412555ea6596a155739a0e652b10"></a><!-- doxytag: member="iPcDefaultCamera::SetYawVelocity" ref="a8e57412555ea6596a155739a0e652b10" args="(float yawVel)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDefaultCamera.html#a8e57412555ea6596a155739a0e652b10">iPcDefaultCamera::SetYawVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yawVel</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the yaw (up/down) velocity of the camera. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">yawVel</td><td>the velocity of the yaw </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="defcam_8h_source.html">defcam.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
